
#
%define mozillalibdir %{_libdir}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:        Betterbird mail/newsgroup client
Summary(de):	Betterbird - Die E-Mail-Anwendung
Name:		betterbird
Version:	115.9.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/Mail
URL:		https://www.betterbird.eu/
Source0: betterbird-115.9.0-bb26-build2.en-US.linux-x86_64.tar.bz2
#-----------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
A successful fork of Mozilla Thunderbird, Betterbird provides a more
complete email client with exclusive features and a lot of other bug fixes

#german
%description -l de
Betterbird ist ein freies Open-Source-E-Mail-Programm
und -Newsreader des Mozilla-Projekts.


%prep
#noprep

%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %buildroot

#make directories for system install
mkdir -p %{buildroot}%{mozillalibdir}
mkdir -p %buildroot/%{_bindir}
mkdir -p %buildroot/%{_datadir}/pixmaps
mkdir -p %buildroot/%{_datadir}/applications

# Create an own /usr/lib/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

#extract source
tar xf %{SOURCE0} -C %buildroot/%{mozillalibdir}

#make links
ln -fs %{_libdir}/betterbird/betterbird %buildroot/%{_bindir}/betterbird
ln -fs %{_libdir}/betterbird/chrome/icons/default/default48.png %buildroot/%{_datadir}/pixmaps/betterbird.png

#make desktopfile
cat <<EOF >> %buildroot/%{_datadir}/applications/betterbird.desktop
[Desktop Entry]
Version=1.0
Name=Betterbird Email
GenericName=Mail/News
Comment=Email Client
Exec=betterbird %u
Icon=betterbird
Terminal=false
Type=Application
StartupWMClass=Thunderbird-bin
MimeType=message/rfc822;x-scheme-handler/mailto;application/x-extension-eml;
Categories=GTK;Network;News;Email;X-MandrivaLinux-Internet-Mail;
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*


%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}
%{_datadir}
%dir %{_prefix}/lib/mozilla/plugins

%changelog
* Thu Mar 28 2024 tex - 115.9.0-1pclos2024
- new version

* Thu Mar 07 2024 tex - 115.8.1-1pclos2024
- new version

* Fri Jan 26 2024 tex - 115.7.0-1pclos2024
- new version
